Subject: Re: bug#32519: elisp manual filename conflict

From: Glenn Morris <[email-masked]>
Date: Fri, 24 Aug 2018 13:34:45 -0400

Nir Nagid wrote:

> Hi, just downloaded the "html-compressed" version of elisp manual. Trying
> to extract got a filename conflict - the "main" html index and the
> "document" index are both named "index" (in different case) and my zip app
> (7-zip) doesn't like it :(

I assume this is on MS Windows? Apparently, it can optionally do
case-sensitive directories since Windows 10 of April 2018, so maybe look
into that.

Apparently there is a makeinfo html output option controlled by
CASE_INSENSITIVE_FILENAMES that could be turned on to handle this, but
it sounds like it would make things worse for case sensitive systems (by
having two pages in the same file but separated by anchors). And I'm not
sure what version of texinfo added it (it doesn't seem to be in 4.13).